Get role
curl --request GET \
--url https://api.sandbox.tesouro.com/identity/v1/roles/{roleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/roles/{roleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/identity/v1/roles/{roleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdDateTime": "2023-11-07T05:31:56Z",
"key": "bank:admin",
"name": "<string>",
"sortOrdinal": 123,
"status": "<string>",
"updatedDateTime": "2023-11-07T05:31:56Z",
"appliesToOrgType": "<string>",
"description": "<string>",
"icon": "<string>",
"isSystemRole": true,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Roles
Get role
Token types: APP, USER | Required scopes: role:read:org
GET
/
identity
/
v1
/
roles
/
{roleId}
Get role
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Headers
ID of the organization to scope this operation to. When omitted, the role is looked up in the caller's own organization. Must be a valid non-empty UUID. Present but empty or malformed values return 400.
Path Parameters
The ID of the role.
Response
Returns the role.
Available options:
bank:admin, embedded:admin, embedded:bookkeeper, embedded:employee, embedded:finance_admin, platform:admin, vsp:admin Was this page helpful?